Bug 12398

Summary: Unable to mount unionfs if any brunch is readonly
Product: [Development] Sisyphus Reporter: Ivanov Maxim <ivanov.maxim@gmail.com>
Component: kernel-image-std-smpAssignee: Nobody's working on this, feel free to take it <nobody@altlinux.org>
Status: CLOSED WONTFIX QA Contact: qa-sisyphus@altlinux.org
Severity: normal    
Priority: P2 CC: mike@altlinux.org, silicium@altlinux.org, vsu@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   

Description From 2007-07-23 19:07:58
[root@ivanovpc tmp]# mount -tunionfs -o dirs=/tmp/1/test1=ro:/tmp/2/test2=ro 
unionfs /tmp/3
mount: wrong fs type, bad option, bad superblock on unionfs,
       missing codepage or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so

[root@ivanovpc tmp]# dmesg | tail
unionfs_read_super: error while parsing options (err = -22)

Steps to Reproduce:
1.mkdir /tmp/{1,2,3}
2.mkdir /tmp/1/test1 /tmp/2/test2
3.mount -tunionfs -o dirs=/tmp/1/test1=ro:/tmp/2/test2=ro unionfs /tmp/3
Actual Results:  
no mount happens

Expected Results:  
test1 and test2 dirs in /tmp/3
------- Comment #1 From 2007-07-23 19:09:41 -------
Забыл упомянуть: использую Desktop 4.0 со всеми обновлениями из 4.0/brunch, 
ядро wks-smp-alt2
------- Comment #2 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #3 From 2008-07-11 13:00:57 -------
Проблема ещё актуальна?
------- Comment #4 From 2010-04-11 14:14:26 -------
apparently wontfix